OperationStatus is utilized to indicate which Operation status are considered successful.

export
interface

  RosettaOperationStatus

### Hierarchy

- RosettaOperationStatus

## Index

### Properties

- status
- successful

## Properties

### status

status: string

- Defined in src/generated/models/RosettaOperationStatus.ts:27

The status is the network-specific status of the operation.

memberof

  RosettaOperationStatus

### successful

successful: boolean

- Defined in src/generated/models/RosettaOperationStatus.ts:33

An Operation is considered successful if the Operation.Amount should affect the Operation.Account. Some blockchains (like Bitcoin) only include successful operations in blocks but other blockchains (like Ethereum) include unsuccessful operations that incur a fee. To reconcile the computed balance from the stream of Operations, it is critical to understand which Operation.Status indicate an Operation is successful and should affect an Account.

memberof

  RosettaOperationStatus

Generated using TypeDoc